package com.oo.seex.netlibrary.net;

/**
 * Created by xucon on 2018/1/17.
 */

public class BaseApiConfig {

	private static boolean isDebug = true;
	/**
	 * test host address;  http://xueyang.dev.iouou.cn/
	 * https://seex.inner.iouou.cn/
	 */
	private static String DEBUG_HOST = "https://seex.inner.iouou.cn";
	/**
	 * online host address;
	 */
	private static String RELEASE_HOST = "https://seex.dev.iouou.cn";

	/**:
	 seexlog.ooyby.com 生产
	 seexlog.roll.iouou.cn 测试
	 * test host address;
	 */
	private static String LOG_DEBUG_HOST = "https://seexlog.roll.iouou.cn";
	/**
	 * online host address;
	 */
	private static String LOG_RELEASE_HOST = "https://seexlog.ooyby.com";

	public static boolean isDebug() {
		return isDebug;
	}

	public static void setIsDebug(boolean isDebug) {
		BaseApiConfig.isDebug = isDebug;
	}

	public static String getDebugHost() {
		return DEBUG_HOST;
	}

	public static void setDebugHost(String debugHost) {
		DEBUG_HOST = debugHost;
	}

	public static String getReleaseHost() {
		return RELEASE_HOST;
	}
	public static String getHost() {
		return isDebug ? DEBUG_HOST:RELEASE_HOST;
	}

	public static void setReleaseHost(String releaseHost) {
		RELEASE_HOST = releaseHost;
	}

	public static String getLogHost(){
		return isDebug ? LOG_DEBUG_HOST:LOG_RELEASE_HOST;
	}

}
